Thunderbird 60 --> 68 ... and google oauth ... and add-ons

Axel Grude axel.grude at gmail.com
Fri Nov 1 10:05:24 UTC 2019


Dear Wayne,

Really important - I was notified by two users this morning who claim that *they were 
auto-updated from 60.* to 68.2* (one from Germany, the other one from UK) - apparently 
my Smarttemplate⁴ Add-on was (incorrectly) set to incompatible, which can be easily 
rectified by the user through context menu / search for updates. The problem is that 
this may affect a large number of users, is it possible to force an Add-on update 
after the upgrade? I could imagine a lot of users trying to initially revert to 
Thunderbird 60 if Add-ons fail like this on a grand scale.

Note that my Add-on contains both install.rdf and manifest.json, but the "modern" 
version (json file) already supports 60 ["strict_min_version": "60.0"], so the upgrade 
to 68 shouldn't really be a large change from an extension perspective. (Could it be 
that all legacy add-ons are set to incompatible by some overly-cautious validation 
routine?)

thanks,
   Axel

*Axel Grude <mailto:axel.grude at gmail.com>*
Music Production and Composition
Thunderbird Add-ons Developer (QuickFolders 
<https://addons.thunderbird.net/thunderbird/addon/quickfolders-tabbed-folders/>, 
quickFilters <https://addons.thunderbird.net/thunderbird/addon/quickfilters/>, 
QuickPasswords <https://addons.mozilla.org/firefox/addon/quickpasswords/>, Zombie Keys 
<https://addons.thunderbird.net/thunderbird/addon/zombie-keys/>, SmartTemplate⁴ 
<https://addons.thunderbird.net/thunderbird/addon/smarttemplate4/>)
Visit my YouTube Channel <https://www.youtube.com/c/thunderbirddaily> for email 
productivity tips Get Thunderbird!
> *Subject:*Thunderbird 60 --> 68 ... and google oauth ... and add-ons
> *From:*Wayne Mery <vseerror at lehigh.edu>
> *To:*Tb-planning <tb-planning at mozilla.org>
> *Sent: *Friday, 11/1/2019, 01:14 01:14 GMT +0000 [Week 44]
>
> We just got hit with a major issue with google oauth 
> <https://bugzilla.mozilla.org/show_bug.cgi?id=1592407> which forced us to quickly 
> ship 68.2.1 and beta 71.0b2.  These went live earlier today, and version 68 users 
> are being aggressively updated. Without this fix, authentication using oauth to 
> google services (calendar, imap, etc) fails.
>
> Unfortunately this issue also affects users of the EOL version 60.  A decision will 
> be made shortly on whether to update version 60, or just open the floodgates to 
> update users to 68. The brings up some timely important points:
>
> 1. Serious issues develop in old versions which necessitate their being abandoned in 
> favor of newer versions whose code we are able to fix.  We will be enabling 
> automatic updates in a few days to update version 60 users up to version 68.
>
> *2. Add-ons -- ***The good news is m*any updated versions of add-ons have recently 
> been approved. The bad news is many still need to be updated and submitted for 
> review. Time is running out if you **are a developer who wants their add-on to work 
> for the many users that will **_very soon_**be on version 68. *If you need 
> assistance you will want to visit https://developer.thunderbird.net/add-ons/tb68
>
> 3. Several people have adopted abandoned add-ons and fixed them to work for version 
> 68.  If you want to help in that effort please contact Chris. 
> <mailto:cleidigh at gmail.com>
>
>
> _______________________________________________
> tb-planning mailing list
> tb-planning at mozilla.org
> https://mail.mozilla.org/listinfo/tb-planning
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/tb-planning/attachments/20191101/d579a211/attachment.html>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: thunderbird_blog2.png
Type: image/png
Size: 846 bytes
Desc: not available
URL: <http://mail.mozilla.org/pipermail/tb-planning/attachments/20191101/d579a211/attachment.png>


More information about the tb-planning mailing list